

<?php $__env->startSection('title'); ?>
Tax
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               
<?php
$PermissionsAddTax = App\Models\PermissionsUserModel::getPermission('Add Tax', Auth::user()->id);
$PermissionsEditTax = App\Models\PermissionsUserModel::getPermission('Edit Tax', Auth::user()->id);
$PermissionsDeletTax = App\Models\PermissionsUserModel::getPermission('Delete Tax', Auth::user()->id);
?>
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">System Tax</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add Tax</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <?php if(!empty($PermissionsAddTax)): ?>
                            <form class="card-body" action="<?php echo e(route('addtax')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                              

                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                   
                                    <input type="text" class="form-control form-control-user" id="name" placeholder="Description" name="name"  value="<?php echo e(old('name')); ?>" required  >
                                    
                                    </div>
                                    <div class="col-sm-6">
                                    <input type="text" class="form-control form-control-user" id="rate" placeholder="Rate" name="rate"  value="<?php echo e(old('rate')); ?>" required>
                                   
                                    
                                    </div>
                                    
                                </div>

                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('','', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             <?php endif; ?>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Description</th>
                                            <th>Rate</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Description</th>
                                            <th>Rate</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                      
                                    <?php $__currentLoopData = $taxs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tax): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($tax->Name); ?></td> 
                                                <td><?php echo e($tax->Rate); ?></td>
                            
                                                <td style="justify-content: center; align-items: center;">
                                                    <?php if(!empty($PermissionsEditTax)): ?>    
                                                    <a href="" onclick="editAccountType(event,'<?php echo e($tax->ID); ?>', '<?php echo e($tax->Name); ?>', '<?php echo e($tax->Rate); ?>')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                    <?php if(!empty($PermissionsDeletTax)): ?>
                                                    <a href="<?php echo e(route('deletetax',['id'=>$tax->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($tax->Name); ?>');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id,Name, Rate) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('name').value = Name;
                                document.getElementById('rate').value = Rate;
                                document.getElementById('formHeader').innerText = 'Edit Tax';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("edittax")); ?>';
                            }
                
                            function refreshAccountType( id,Name, Rate) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('name').value = Name;
                                document.getElementById('rate').value = Rate;
                                document.getElementById('formHeader').innerText = 'Add Tax';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addtax")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Account Type: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\pinetops\re.pro\resources\views//Tax.blade.php ENDPATH**/ ?>