

<?php $__env->startSection('title'); ?>
Banks
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               
<?php
$PermissionsAddBanks = App\Models\PermissionsUserModel::getPermission('Add Banks', Auth::user()->id);
$PermissionsEditBanks = App\Models\PermissionsUserModel::getPermission('Edit Banks', Auth::user()->id);
$PermissionsDeletBanks = App\Models\PermissionsUserModel::getPermission('Delete Banks', Auth::user()->id);
?>
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">System Banks</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add Bank Details</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                                <?php if(!empty($PermissionsAddBanks)): ?>
                            <form class="card-body" action="<?php echo e(route('savebank')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                              

                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                   
                                   <input type="text" class="form-control form-control-user" id="name" placeholder="Bank Name" name="name"  value="<?php echo e(old('name')); ?>" required>
                                   
                                    
                                    </div>
                                    <div class="col-sm-6">
                                    <input type="text" class="form-control form-control-user" id="acc" placeholder="Account Number" name="acc"  value="<?php echo e(old('acc')); ?>" required  >
                                    
                                    </div>
                                    
                                </div>

                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('','', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             <?php endif; ?>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Bank Name</th>
                                            <th>Account Number</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Bank Name</th>
                                            <th>Account Number</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                      
                                    <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($account->Name); ?></td> 
                                                <td><?php echo e($account->Account); ?></td>
                            
                                                <td style="justify-content: center; align-items: center;">
                                                    <?php if(!empty($PermissionsEditBanks)): ?>
                                                    <a href="" onclick="editAccountType(event,'<?php echo e($account->ID); ?>', '<?php echo e($account->Name); ?>', '<?php echo e($account->Account); ?>')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                    <?php if(!empty($PermissionsDeletBanks)): ?>
                                            
                                                    <a href="<?php echo e(route('deletebank',['id'=>$account->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($account->Name); ?>');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id,Name, Account) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('acc').value = Account;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Edit Bank Details';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("editbank")); ?>';
                            }
                
                            function refreshAccountType( id,Name, Account) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('acc').value = Account;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Add Bank Details';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("savebank")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Bank: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/melsoftrealestat/public_html/re.pro/resources/views//Bank.blade.php ENDPATH**/ ?>