

<?php $__env->startSection('title'); ?>
<?php echo e($Type); ?> Listing
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               


<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Affiliates Listing</h1>
                      </div>

                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader"><?php echo e($Type); ?> Listing</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <form class="card-body" action="<?php echo e(route('fetchAffiliateslisting')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                            <input type="hidden" class="form-control form-control-user" id="Type" placeholder="" name="Type"  value="<?php echo e($Type); ?>" required >
                                    
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="from" name="from"  value="<?php echo e(old('from')); ?>"  required>
                                        <option value="" disabled selected>From <?php echo e($Type); ?></option>

                                        <?php $__currentLoopData = $Accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($Account->ID); ?>"><?php echo e($Account->AccCode.'/'.$Account->AccName); ?></option> 
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="to" name="to"  value="<?php echo e(old('to')); ?>"  required>
                                        <option value="" disabled selected>To <?php echo e($Type); ?></option>

                                        <?php $__currentLoopData = $Accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($Account->ID); ?>"><?php echo e($Account->AccCode.'/'.$Account->AccName); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                              
                                    
                                </div>

                           

                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="View" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;"    type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                   
                        
                          

                        <div class="card-body">
                            <div class="table-responsive">
                            <button id="download-pdf" style="float: right; margin: 5px;" class="btn btn-primary">Download PDF</button>
 
                             <div>
    <div class="py-4">
      <div class="px-14 py-6">
        <table class="w-full border-collapse border-spacing-0">
          <tbody>
            <tr>
              <td class="w-full align-top">
              <div style="display: flex;">
                    <img style="width: 100px; height: 100px;" src="<?php echo asset('img/logo.png'); ?>" class="h-12" />
                    <p class="whitespace-nowrap font-bold text-main text-10xl ml-4" style="margin-top: 30px; font: 30px;"><?php echo e($Type); ?> Listing</p>
                </div>
              </td>

              <td class="align-top">
                <div class="text-sm">
                  <table class="border-collapse border-spacing-0">
                    <tbody>
                      <tr>
                        <td class="border-r pr-4">
                          <div>
                            <p class="whitespace-nowrap text-slate-400 text-right">Date</p>
                            <?php
                            use Carbon\Carbon;
                            $todayLongDate = Carbon::now()->format(' F j, Y'); 
                            ?>
                            <p class="whitespace-nowrap font-bold text-main text-right"><?php echo e($todayLongDate); ?></p>
                          </div>
                        </td>
                        <td class="pl-4">
                          <div>
                            <p class="whitespace-nowrap text-slate-400 text-right">Account</p>
                            <p class="whitespace-nowrap font-bold text-main text-right"><?php echo e($Type); ?>s</p>
                          </div>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>

      <div class="bg-slate-100 px-14 py-6 text-sm">
        <table class="w-full border-collapse border-spacing-0">
          <tbody>
            <tr>
              <td class="w-1/2 align-top">
                <div class="text-sm text-neutral-600">
            


               
                </div>
              </td>
              <td class="w-1/2 align-top text-right">
                <div class="text-sm text-neutral-600">
               


                

                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>

      <div class="px-14 py-10 text-sm text-neutral-700">
        <table class="w-full border-collapse border-spacing-0">
          <thead>
            <tr>


            <?php
            if($Type == "Tenant") {
        ?>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Code</td> 
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Name</td> 
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Contact Person</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Address</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Floor</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Space</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Rooms</td>
        <?php
            } else {
                ?>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Code</td> 
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Name</td> 
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Contact Person</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Address</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Tel</td>
                <td class="border-b-2 border-main pb-3 pl-2 font-bold text-main">Email</td>


                <?php
            
            }
        ?>
           
          

            </tr>
          </thead>
          <tbody>





          <?php $__currentLoopData = $Affs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Aff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <tr>
        <?php
            if($Type == "Tenant") {
        ?>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->TenantCode); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Name); ?></td> 
                <td class="border-b py-3 pl-2"><?php echo e($Aff->ContactPerson); ?></td> 
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Address); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Floor); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Space); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Rooms); ?></td>
        <?php
            } else {
        ?>
        <td class="border-b py-3 pl-2"><?php echo e($Aff->AccCodes); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Name); ?></td> 
                <td class="border-b py-3 pl-2"><?php echo e($Aff->ContactPerson); ?></td> 
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Address); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Contact1); ?></td>
                <td class="border-b py-3 pl-2"><?php echo e($Aff->Email); ?></td> 
        <?php
            }
        ?>
    </tr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



          </tbody>
        </table>
      </div>

     
     

      </div>
    </div>


 
                            </div>
                        </div>
                    
                    </div>

                    <script>
document.getElementById('download-pdf').addEventListener('click', function () {
    var element = document.querySelector('.py-4'); // Select the specific section you want to print
    var opt = {
        margin:       -0.3,
        filename:     '<?php echo e($Type); ?>Listing.pdf',
        image:        { type: 'jpeg', quality: 0.98 },
        html2canvas:  { scale: 2 },
        jsPDF:        { unit: 'in', format: 'A4', orientation: 'portrait' }
    };
    html2pdf().from(element).set(opt).save();
});
</script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/melsoftrealestat/public_html/re.pro/resources/views//Affiliateslisting.blade.php ENDPATH**/ ?>