<?php

namespace App\Http\Controllers;

use App\Models\modelProcessJournal;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;

class ProcessJournalController extends Controller
{
    public function index( $Type)
    {
      

            try
            {
                $journal="";

                $currencys=modelProcessJournal::selectcurrency(Session::get('PropertyCode'));
                $Accounts=modelProcessJournal::selectTenants(Session::get('PropertyCode'));
                $Jts=modelProcessJournal::selectJournalTransactions(Session::get('PropertyCode'),Session::get('RegNo'),$Type);
                $journal=$Accounts[0]->AccCode;

                $JournalType=$Type;

                if($JournalType=="Tenant")
                {
                    $Accounts=modelProcessJournal::selectTenants(Session::get('PropertyCode'));
                    $journal=$Accounts[0]->AccCode;
                }
                else if($JournalType=="Customer")
                {
                    $Accounts=modelProcessJournal::selectCustomers(Session::get('PropertyCode'));
                    $journal=$Accounts[0]->AccCode;
                }
                else if($JournalType=="Supplier")
                {
                    $Accounts=modelProcessJournal::selectSuppliers(Session::get('PropertyCode'));
                    $journal=$Accounts[0]->AccCode;
                }
                else if($JournalType=="GL")
                {
                    $Accounts=modelProcessJournal::selectGL(Session::get('PropertyCode'));
                    $journal=$Accounts[0]->Code;
                    $JournalType="General";


                }

             



                return view('/ProcessJournal', compact('JournalType','Accounts','journal','Jts','currencys'));


        } catch (\Exception $e) {
            
            return redirect()->route('otheraccounts')->withErrors(['error' => 'An error occurred!!' . $e->getMessage()]);
        }

        }


        public function savejournaltransaction(Request $request)
        {
           // Validate the request data
                $request->validate([
                    'source' => 'required|string',
                    'AccCode' => 'required|string',
                    'date' => 'required|string',
                    'narr' => 'required|string',
                    'reff' => 'required|string',
                    'tr' => 'required|string',
                    'account' => 'required|string',
                    'amount' => 'required|string'
                ]);
        
                $src = $request->input('source');
                $AccCode = $request->input('AccCode');
                $date = $request->input('date');
                $narr = $request->input('narr');
                $reff = $request->input('reff');
                $tr = $request->input('tr');
                $ContraCode = $request->input('account');
                $amount = $request->input('amount');
                $user=Session::get('RegNo');
        
                $AccSubCode="0";
                $ContraSubCode="0";
              
    
                try
                {
                    $DR="0";
                    $CR="0";
                    if($tr=="DR")
                    {
                        $DR=$amount;
                        $CR="0";
                    }
                    else if($tr=="CR")
                    {
                        $DR="0";
                        $CR=$amount;

                    }
                $result = modelProcessJournal::saveJournal(Session::get('PropertyCode'),$AccCode,$AccSubCode,$ContraCode,$ContraSubCode, $date,$narr,$reff, $DR,$CR,$user,$src);
                if ($result) 
                {
                     return redirect()->route('processjournal',['Type'=>$src]);
               } 
                else 
                {
                    return redirect()->route('processjournal',['Type'=>$src]);
                }
    
            } catch (\Exception $e) {
                
                return redirect()->route('processjournal',['Type'=>$src])->withErrors(['error' => 'An error occurred!!' . $e->getMessage()]);
            }
    
            }
}
