
@extends('layouts.nav')
@section('title')
@endsection
@section('content')               


<div class="pagetitle">
      <h1>Roels & Permmissions Table </h1>
      
    </div><!-- End Page Title -->

    <section class="section">
      <div class="row">
        <div class="col-lg-12">
          @include("auth._messages")
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Roles Table</h5>
                <a href="{{url('users/role/add')}}" style="float: right;margin-bottom: 12px;"  class="btn btn-primary"> Add Role</a>
                <br>
              <!-- Default Table -->
              <table style="margin-top: 12px;" class="table">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Date</th>
                    <th scope="col">action</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach ($data as $role)
                  <tr>
                    <th scope="row">{{$role->id}}</th>
                    <td>{{$role->name}}</td>
                    <td>{{$role->created_at}}</td>
                    <td> 
                      <a href="{{url('users/role/edit', $role->id)}}" class="btn btn-primary btn-sm">Edit</a>
                      <a href="{{url('users/role/delete', $role->id)}}" class="btn btn-danger btn-sm" >Delete</a>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
              <!-- End Default Table Example -->
            </div>
          </div>

         

        </div>

        
      </div>
    </section>
@endsection