<?php $__env->startSection('title', 'Rent Summary Report'); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Rent Summary Report</h1>
    </div>

    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Report Filters</h6>
        </div>

        <div class="card-body">
            <form action="<?php echo e(route('rent.summary.report')); ?>" method="POST">
                <?php echo csrf_field(); ?>

                <div class="form-group row">
                    <div class="col-md-4 mb-3">
                        <label class="font-weight-bold text-secondary">Report Type</label>
                        <select class="form-control" name="report_type" required>
                            <option value="summary">Summary Report</option>
                            <option value="detailed">Detailed Report</option>
                        </select>
                    </div>

                    <div class="col-md-4 mb-3">
                        <label class="font-weight-bold text-secondary">From Date</label>
                        <input type="date" class="form-control" name="from_date" required>
                    </div>

                    <div class="col-md-4 mb-3">
                        <label class="font-weight-bold text-secondary">To Date</label>
                        <input type="date" class="form-control" name="to_date" required>
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">
                    <i class="fas fa-search"></i> Generate Report
                </button>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\pinetops\re.pro\resources\views/rentsummary.blade.php ENDPATH**/ ?>