<?php $__env->startSection('title'); ?>
Tenants
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php
$PermissionsAddTenants = App\Models\PermissionsUserModel::getPermission('Add Tenants', Auth::user()->id);
$PermissionsEditTenants = App\Models\PermissionsUserModel::getPermission('Edit Tenants', Auth::user()->id);
$PermissionsDeleteTenants = App\Models\PermissionsUserModel::getPermission('Delete Tenants', Auth::user()->id);
?>

<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">System Tenants</h1>
                      </div>


                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add tenants</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>

                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">

                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>

                            <?php if(!empty($PermissionsAddTenants)): ?>
                            <form class="card-body" action="<?php echo e(route('addtenants')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">

                            <div class="form-group row">
                                   <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="AccCode" placeholder="Account Code" name="AccCode"  value="<?php echo e($account); ?>" required readonly>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="AccName" placeholder="Tenants Account" name="AccName" value="Tenant Account" required readonly>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="code" placeholder="Tenant Code" name="code"  value="<?php echo e(old('code')); ?>" required>
                                    </div>
                                </div>

                                <div class="form-group row">
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="name" placeholder="Tenant Name" name="name"  value="<?php echo e(old('name')); ?>" required>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="contactperson" placeholder="Contact Person" name="contactperson"  value="<?php echo e(old('contactperson')); ?>" required>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="contact1" placeholder="Contact" name="contact1"  value="<?php echo e(old('contact1')); ?>" required>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">

                                    <input type="text" class="form-control form-control-user" id="email" placeholder="Email" name="email"  value="<?php echo e(old('email')); ?>" required>

                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">

                                    <input type="text" class="form-control form-control-user" id="Address" placeholder="Address" name="Address"  value="<?php echo e(old('Address')); ?>" required>


                                    </div>
                                    <div class="col-sm-4">


                                    <input type="text" class="form-control form-control-user" id="vat" placeholder="VAT" name="vat"  value="<?php echo e(old('vat')); ?>" required>


                                </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">

                                    <input type="text" class="form-control form-control-user" id="tin" placeholder="TIN" name="tin"  value="<?php echo e(old('tin')); ?>" required>

                                    </div>

                                    <div class="col-sm-4 mb-3 mb-sm-0">

                                    <select class="form-control form-control-user" id="floor" name="floor"  value="<?php echo e(old('floor')); ?>"  required>
                                        <option value="" disabled selected>Select Floor</option>

                                        <?php $__currentLoopData = $floors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $floor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <option value="<?php echo e($floor->FloorNumber); ?>"><?php echo e($floor->FloorNumber); ?></option>

                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                      </div>
                                      <div class="col-sm-4">


                                      <input type="text" class="form-control form-control-user" id="space" placeholder="Space Occupied" name="space"  value="<?php echo e(old('space')); ?>" required>


                                  </div>



                                </div>




                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">

                                    <input type="text" class="form-control form-control-user" id="rooms" placeholder="Rooms" name="rooms"  value="<?php echo e(old('rooms')); ?>" required>

                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">

                                    <input type="number" step=0.01 class="form-control form-control-user" id="rooms" placeholder="Rent Amount" name="rent_amount"  value="<?php echo e(old('rent_amount')); ?>" required>

                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <select class="form-control form-control-user" id="ageCode" name="ageCode" value="<?php echo e(old('ageCode')); ?>" required>
                                            <option value="" disabled selected>Select Ageing</option>
                                            <?php $__currentLoopData = $ageingAnalyses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $analysis): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($analysis->age_code); ?>">
                                                <?php echo e($analysis->age_code); ?> - <?php echo e($analysis->description); ?>

                                            </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>


                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;"  onclick="refreshAccountType('','', '','', '','', '','', '', '','', '')"   type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>

                               </div>

                                <hr>
                             </form>
                             <?php endif; ?>



                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Entry Date</th>
                                            <th>Tenant Code</th>
                                            <th>Name</th>
                                            <th>Contact Person</th>
                                            <th>Contact</th>
                                            <th>Email</th>
                                            <th>Address</th>
                                            <th>VAT</th>
                                            <th>TIN</th>
                                            <th>Floor</th>
                                            <th>Space</th>
                                            <th>Rooms</th>
                                                                                        <th>Rent Amount</th>

                                            <th>Action</th>

                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>


                                        <th>Entry Date</th>
                                            <th>Tenant Code</th>
                                            <th>Name</th>
                                            <th>Contact Person</th>
                                            <th>Contact</th>
                                            <th>Email</th>
                                            <th>Address</th>
                                            <th>VAT</th>
                                            <th>TIN</th>
                                            <th>Floor</th>
                                            <th>Space</th>
                                            <th>Rooms</th>
                                            <th>Rent Amount</th>
                                            <th>Action</th>


                                        </tr>
                                    </tfoot>
                                    <tbody>

                                    <?php $__currentLoopData = $tenants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tenant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>

                                                <td><?php echo e($tenant->EntryDate); ?></td>
                                                <td><?php echo e($tenant->TenantCode); ?></td>
                                                <td><?php echo e($tenant->Name); ?></td>
                                                <td><?php echo e($tenant->ContactPerson); ?></td>
                                                <td><?php echo e($tenant->Contact); ?></td>
                                                <td><?php echo e($tenant->Email); ?></td>
                                                <td><?php echo e($tenant->Address); ?></td>
                                                <td><?php echo e($tenant->VAT); ?></td>
                                                <td><?php echo e($tenant->TIN); ?></td>
                                                <td><?php echo e($tenant->Floor); ?></td>
                                                <td><?php echo e($tenant->Space); ?></td>
                                                <td><?php echo e($tenant->Rooms); ?></td>
                                                <td><?php echo e($tenant->rent_amount); ?></td>
                                                <td style="justify-content: center; align-items: center;">
                                                  <?php if(!empty($PermissionsEditTenants)): ?>
                                                  <a href="" onclick="editAccountType(event,'<?php echo e($tenant->ID); ?>', '<?php echo e($tenant->TenantCode); ?>', '<?php echo e($tenant->Name); ?>', '<?php echo e($tenant->ContactPerson); ?>', '<?php echo e($tenant->Contact); ?>', '<?php echo e($tenant->Email); ?>', '<?php echo e($tenant->Address); ?>', '<?php echo e($tenant->VAT); ?>', '<?php echo e($tenant->TIN); ?>', '<?php echo e($tenant->Floor); ?>', '<?php echo e($tenant->Space); ?>', '<?php echo e($tenant->Rooms); ?>')"  class="btn btn-primary btn-circle" >
                                                  <i class="fas fa-edit"></i>
                                                  </a>
                                                  <?php endif; ?>
                                                  <?php if(!empty($PermissionsDeleteTenants)): ?>
                                                  <a href="<?php echo e(route('deletetenants',['id'=>$tenant->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($tenant->Name. ' => '.$tenant->ContactPerson); ?>');" >
                                                      <i class="fas fa-trash"></i>
                                                  </a>
                                                  <?php endif; ?>
                                              </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>

                    <script>
                           function editAccountType(event,id,code,name,contactperson,contact1,email,Address,vat,tin,floor,space,rooms)
                             {
                                event.preventDefault();

                                document.getElementById('accountId').value = id;
                                document.getElementById('code').value = code;
                                document.getElementById('name').value = name;
                                document.getElementById('contactperson').value = contactperson;
                                document.getElementById('contact1').value = contact1;
                                document.getElementById('vat').value = vat;
                                document.getElementById('tin').value = tin;
                                document.getElementById('email').value = email;
                                document.getElementById('Address').value = Address;
                                document.getElementById('floor').value = floor;
                                document.getElementById('space').value = space;
                                document.getElementById('rooms').value = rooms;
                                document.getElementById('formHeader').innerText = 'Edit Tenant';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("edittenants")); ?>';
                            }

                            function refreshAccountType(id,code,name,contactperson,contact1,email,Address,vat,tin,floor,space,rooms)
                             {

                                document.getElementById('accountId').value = id;
                                document.getElementById('code').value = code;
                                document.getElementById('name').value = name;
                                document.getElementById('contactperson').value = contactperson;
                                document.getElementById('contact1').value = contact1;
                                document.getElementById('vat').value = vat;
                                document.getElementById('tin').value = tin;
                                document.getElementById('email').value = email;
                                document.getElementById('Address').value = Address;
                                document.getElementById('floor').value = floor;
                                document.getElementById('space').value = space;
                                document.getElementById('rooms').value = rooms;
                                document.getElementById('formHeader').innerText = 'Create Tenant';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addtenants")); ?>';
                                hideMessages();

                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the tenant: " + Name + "?");
                            }





                </script>

                    <?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\pinetops\re.pro\resources\views//tenants.blade.php ENDPATH**/ ?>