

<?php $__env->startSection('title'); ?>
Journals
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               

<?php
$PermissionsAddJournalAccount = App\Models\PermissionsUserModel::getPermission('Add Journal Account', Auth::user()->id);
$PermissionsEditJournalAccount = App\Models\PermissionsUserModel::getPermission('Edit Journal Account', Auth::user()->id);
$PermissionsDeleteJournalAccount = App\Models\PermissionsUserModel::getPermission('Delete Journal Account', Auth::user()->id);
?>

<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Account Journals</h1>
                      </div>

                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add Journal</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <?php if(!empty($PermissionsAddJournalAccount)): ?>
                            <form class="card-body" action="<?php echo e(route('addjournals')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                    <input type="text" class="form-control form-control-user" id="account" placeholder="Journal Code" name="account"  value="<?php echo e(old('account')); ?>" required >
                                    
                                   <!-- <select  class="form-control form-control-user" id="account" name="account"  value="<?php echo e(old('account')); ?>"  required>
                                        <option value="" disabled selected>Select Account</option>

                                        <?php $__currentLoopData = $Accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($Account->AccCode); ?>"><?php echo e($Account->AccCode.'/'.$Account->AccName); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>-->
                                    </div>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control form-control-user" id="name" placeholder="Journal Name" name="name"  value="<?php echo e(old('name')); ?>" required >
                                    </div>
                                    
                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;"  onclick="refreshAccountType('','', '')"   type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             <?php endif; ?>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Journal Code</th>
                                            <th>Journal Name</th>
                                            <th>Action</th>
                                         
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Journal Code</th>
                                            <th>Journal Name</th>
                                            <th>Action</th>
                                            

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                    <?php $__currentLoopData = $cashbooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cashbook): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($cashbook->AccCode); ?></td> 
                                                <td><?php echo e($cashbook->Name); ?></td>
                                                <td style="justify-content: center; align-items: center;">
                                                  <?php if(!empty($PermissionsEditJournalAccount)): ?>
                                                  <a href="" onclick="editAccountType(event,'<?php echo e($cashbook->ID); ?>', '<?php echo e($cashbook->AccCode); ?>', '<?php echo e($cashbook->Name); ?>')"  class="btn btn-primary btn-circle" >
                                                  <i class="fas fa-edit"></i>
                                                  </a>
                                                  <?php endif; ?>
                                                  <?php if(!empty($PermissionsDeleteJournalAccount)): ?>
                                                  <a href="<?php echo e(route('deletejournals',['id'=>$cashbook->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($cashbook->Name); ?>');" >
                                                      <i class="fas fa-trash"></i>
                                                  </a>
                                                  <?php endif; ?>
                                              </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id,AccCode, Name) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('account').value = AccCode;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Edit Journal';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("editjournals")); ?>';
                            }
                
                            function refreshAccountType( id,AccCode, Name) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('account').value = AccCode;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Add Journal';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addjournals")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Journal: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\pinetops\re.pro\resources\views//Journals.blade.php ENDPATH**/ ?>